Subject: Re: Designs for a flower press?

From: [email-masked]
Date: 19 Jul 95 14:52:13 EST

In article <[email-masked]>, [email-masked] (Marjorie Rosen) writes:
> Justin Koch ([email-masked]) wrote:
> : She has looked through some books and they seem to take several layers of
> : plywood with thin sheet of cardboard - all connected and compressed by
> : four bolts at the corners.  Any other ideas?

> Nope, you have it absolutely right. However, this *is* for drying flowers 
> and herbs for framing *not* other use. 

^ Right. I had to make one for a botony class, the best designs use peg board,
several layers of blotter paper backed up by two sheets of cardboard. The most
elegant and classy ones I've seen use the old book press plans with a large 
diameter acme threaded oak screw on a hardwood frame. I saw a plan for one a
few years back, and tried to look for it, but for the life of me couldnt find
it. I sure would like to build one.

Kai